package com.unipi.talepis.builder;

public class StudentV2 {
    private final String am;//required
    private final String email;//required
    private final String name;//optional
    private final int etos_eggrafis;//optional
    private final String telephone;//optional
    private final boolean postgraduate;//optional

    public StudentV2(String am, String email, String name, int etos_eggrafis, String telephone, boolean postgraduate) {
        this.am = am;
        this.email = email;
        this.name = name;
        this.etos_eggrafis = etos_eggrafis;
        this.telephone = telephone;
        this.postgraduate = postgraduate;
    }

    public StudentV2(String am, String email, String name, int etos_eggrafis, String telephone) {
        this(am,email,name,etos_eggrafis,telephone,true);
    }
    public StudentV2(String am, String email, String name, int etos_eggrafis) {
        this(am,email,name,etos_eggrafis,"no telephone yet",true);
    }
    public StudentV2(String am, String email, String name) {
        this(am,email,name,2000,"no telephone yet",true);
    }
    public StudentV2(String am, String email) {
        this(am,email,"NoName",2000,"no telephone yet",true);
    }
//getters if required
}
