package com.unipi.talepis.singletons;

public class SingletonV1_2 {
    private static SingletonV1_2 instance;
    private SingletonV1_2(){}
    public static SingletonV1_2 getInstance(){
        if (instance==null) {
            synchronized (SingletonV1_2.class) {
                if (instance==null)
                    instance = new SingletonV1_2();
            }
        }
        return instance;
    }
}
